Package org.apache.sysds.runtime.compress.colgroup.scheme

# Class UncompressedScheme

java.lang.Object
org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme
org.apache.sysds.runtime.compress.colgroup.scheme.UncompressedScheme

All Implemented Interfaces:
  `Cloneable`, `ICLAScheme`

public class UncompressedScheme extends ACLAScheme

## Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

## Constructor Summary

Constructors
Constructor
Description
`UncompressedScheme(IColIndex cols)`

## Method Summary

Modifier and Type
Method
Description
`UncompressedScheme`
`clone()`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme

`encode, encode, encodeT, encodeT, update, update, updateAndEncode, updateAndEncode, updateAndEncodeT, updateAndEncodeT, updateT, updateT`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UncompressedScheme

public UncompressedScheme(IColIndex cols)

## Method Details

### clone

public UncompressedScheme clone()

Specified by:
  `clone` in interface `ICLAScheme`
Specified by:
  `clone` in class `ACLAScheme`